### Signal

# Gtk IconView::unselect-all

#### Declaration

    void
    unselect_all (
      GtkIconView* self,
      gpointer user_data
    )

#### Description [src]

A keybinding signal which gets emitted when the user unselects all items.

Applications should not connect to it, but may emit it with `g_signal_emit_by_name()` if they need to control selection programmatically.

The default binding for this signal is Ctrl-Shift-a.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code